using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Ability414.Domain;

namespace Topsdk.Top.Ability414.Request;

public class TaobaoTbkRelationRefundRequest : AbstractTopApiRequest
{

    /*
        参数option
            */
    private TaobaoTbkRelationRefundTopApiRefundRptOption? searchOption;


    [JsonPropertyName("search_option")]
    public TaobaoTbkRelationRefundTopApiRefundRptOption? SearchOption
    {
        get => searchOption;
        set => this.searchOption = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.searchOption != null)
        {
            requestParam.Add("search_option",TopUtils.ConvertStruct(this.searchOption));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.relation.refund";
    }

}

